using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业活动记录明细表")]
    public class T_FO_JOB_EVENT_DETAIL : MesEntityBase
    {
        [Description("作业活动记录表ID")]
        [DataFieldForeignKey("Nav_JobEventRecord", "Nav_Details")]
        public Guid JOB_EVENT_RECORD_ID { get; set; }

        [Description("导航属性：作业活动记录表")]
        public virtual T_FO_JOB_EVENT_RECORD Nav_JobEventRecord { get; set; }


        [Description("序号")]
        public int? NUM { get; set; }
        [Description("作业前安全确认")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string SafeConfirmsStr { get; set; }

        [Description("是否确认")]
        public bool IS_CONFIRM { get; set; }



        [Description("导航属性：作业活动记录附件表")]
        [FormFieldEdit]
        public ICollection<T_FO_JOB_EVENT_FILE> Nav_Files { get; set; }

    }
}
